Bug 891257 - tracepath error "send failed"
Summary: tracepath error "send failed"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iputils
Version: 18
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 10:56 UTC by Ivo Sarak
Modified: 2017-10-12 05:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:11:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivo Sarak 2013-01-02 10:56:56 UTC
Description of problem:
Whatever you put into the tracepath, it will not trace it.

Version-Release number of selected component (if applicable):
iputils-20121125-2.fc18.x86_64

How reproducible:
Always.

Steps to Reproduce:
Issue some IP-address to be traced, for example:

tracepath -n 192.168.2.1

  
Actual results:

 1:  send failed
     Resume: pmtu 65535 


Expected results:

 1:  192.168.2.101                                         0.144ms pmtu 1500
 1:  192.168.2.1                                           0.608ms reached
 1:  192.168.2.1                                           0.475ms reached
     Resume: pmtu 1500 hops 1 back 64 


Additional info:

Comment 1 Morten Stevens 2013-01-04 13:18:59 UTC
Same problem here.

[root@fc18 ~]# rpm -q iputils
iputils-20121125-2.fc18.x86_64

[root@fc18 ~]# tracepath 8.8.8.8
 1:  send failed
     Resume: pmtu 65535

Comment 2 Morten Stevens 2013-01-04 13:22:57 UTC
Note: This bug has been fixed in version iputils-20121207-1.fc19.x86_64.

Comment 3 Ivo Sarak 2013-01-06 23:00:12 UTC
It is good to know.

Comment 4 Jan Synacek 2013-01-08 14:08:14 UTC
Fixed by new version.

Comment 5 Fedora Update System 2013-01-08 14:16:58 UTC
iputils-20121221-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iputils-20121221-1.fc18

Comment 6 Fedora Update System 2013-01-08 20:16:39 UTC
Package iputils-20121221-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iputils-20121221-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0414/iputils-20121221-1.fc18
then log in and leave karma (feedback).

Comment 7 Ivo Sarak 2013-01-09 11:37:07 UTC
It is working for me. :)

Comment 8 Fedora Update System 2013-01-12 01:11:58 UTC
iputils-20121221-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 parag 2017-10-12 05:57:51 UTC
working for IPv4 but not for IPv6.  tracepath complete for IPv4 but not tracepath6  for IPv6.


Note You need to log in before you can comment on or make changes to this bug.